%define	name	tuxcmd
%define	version	0.6.70
%define	release	%mkrel	2

Summary:        Tux Commander
Name:           %{name}
Version:        %{version}
Release:        %{release}
URL:            http://tuxcmd.sf.net/
License:        GPLv2+
Group:          File tools
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:        http://downloads.sourceforge.net/%{name}/%{name}-modules-%{version}.tar.xz
# turn smartlinking off, not needed anymore with fpc-2.2.2-2
Patch4: tuxcmd-disable-smartlinking.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=755320
# Bug 755320 - tuxcmd can not be built due to new libarchive and new glib
Patch5: tuxcmd-module-libarchive_libarchive-3.0.0a.patch
Patch6: tuxcmd-module-gvfs_include-glib.patch

# GCC 4.7 compatibility
Patch7: tuxcmd-module-ziparchive-gcc-4.7.patch
Patch8: tuxcmd-module-ziparchive-gcc-4.7-2.patch

# ARM linking compatibility
Patch9: tuxcmd-arm-gcc_s.so-linking.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  fpc >= 2.6.2
BuildRequires:  desktop-file-utils
BuildRequires:  glib2-devel
BuildRequires:  %{_lib}gtk+2.0_0-devel
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version


%description
Tux Commander is open-source file manager with 2 panels side by side written
for GTK2. The main goal of this project is to create powerful user-friendly
file manager for Linux. Functionality can be further extended by pluggable
VFS (virtual file system) modules.

#german
%description -l de
Tux Commander ist ein Fenster-Datei-Manager mit 2 Panels ähnlich den populären
Total Commander oder Midnight Commander Datei-Managern. Das Hauptziel dieses Projektes
ist es, ein guten und benutzerfreundlichen Datei-Manager für Unix OS zur Verfügung zu stellen.

Generelle Eigenschaften:

 * Grafische Anwendung, benutzt den GTK2 windowing Werkzeugsatz
 * Zwei Verzeichnis-Panels vertikal nebeneinander angeordnet
 * Tabbed Schnittstelle, Knöpfe für den schnellen Zugriff auf bevorzugte Verzeichnisse
 * Konfigurierbare Einhängeleiste für den schnellen Zugriff auf entfernbare Medien und Netzwerkteile
 * Mehrsprachige Benutzer Schnittstelle
 * Basic VFS (Virtual File System) Unterstützung, die es gestattet, Archive und Netzwerk-Verzeichnisse anzuschauen
 * Erweiterbar über ein Erweiterungssystem, einige VFS Module sind verfügbar
 * Portabel, es ist keine Installation notwendig, benutzbar direkt nach dem Entpacken
 * Designed für den GNOME und XFCE Arbeitsflächen bei weiterhin kompletter Unabhängigkeit (Bibliotheken werden geladen, wenn sie verfügbar sind)
 * Datei-Anhang-basierte Dateityp Aktionen (Assoziationen)
 * Threaded Datei Operationen
 * Unterstützt große Dateien (> 4GB)
 * Hauptprogramm wurde in Object Pascal geschrieben (mit FreePascal als default Compiler), die Erweiterungen sind in C/C++ geschrieben
 * Sourcen/Quelldateien sind in GIT Repositories verfügbar


%package modules
Summary:        Modules for Tux Commander file manager
Summary(de):	Module für Tux Commander Dateien Manager
Group:          File tools
Requires: 	%{name} = %{version}-%{release}
BuildRequires:  libarchive-devel
BuildRequires:  bzip2-devel

%description modules
The tuxcmd-modules package contains extra VFS (virtual file system) modules
extending Tux Commander's functionality:
 * libarchive plugin - handles TAR/GZ/BZ2 archives

#german
%description modules -l de
Das tuxcmd-modules Paket enthält extra VFS (virtual file system)
Module um die Funktionen des Tux Commander's zu erweitern.

    * libarchive Erweiterung - zum Umgang mit TAR/GZ/BZ2 Archiven.


%package gnomevfs2
Summary:        GnomeVFS2 module for Tux Commander file manager
Summary(de):	GnomeVFS2 Module für Tux Commander Dateien Manager
Group:          File tools
Requires: 	%{name} = %{version}-%{release}
BuildRequires:  gnome-vfs2-devel

%description gnomevfs2
This package contains GnomeVFS2 module for Tux Commander file manager.

#german
%description gnomevfs2 -l de
GnomeVFS2-Modul für den Tux Commander Dateien Manager. 


%prep
%setup -q -b 1
%patch4 -p1 -b .disable-smartlinking
# dirty hack to workaround weird linking issue
ln -s %{_libdir}/libgcc_s.so.1 libgcc_s.so
%patch9 -p1 -b .arm-gcc_s.so-linking

pushd ../%{name}-modules-%{version}
%patch5 -p1 -b .libarchive3
%patch6 -p1 -b .glib-include
%patch7 -p1 -b .gcc-4.7
%patch8 -p1 -b .gcc-4.7-2
popd

%build
make DESTDIR=$RPM_BUILD_ROOT/usr PREFIX=%{_prefix} BINDIR=%{_bindir} DOCDIR=%{_docdir} LIBDIR=%{_libdir}
cd ../%{name}-modules-%{version}
make shared

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT/usr

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 data/icons/48x48/%{name}.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}


find $RPM_BUILD_ROOT -name COPYING -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name README -exec rm -f {} ';'

# install modules
cd ../%{name}-modules-%{version}
make install DESTDIR=$RPM_BUILD_ROOT/usr
mkdir -p doc/libarchive
cp -pr libarchive/{COPYING,README} doc/libarchive
mkdir -p doc/zip
cp -pr zip/{COPYING,README} doc/zip

cd ../%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
install -m 755 data/*.desktop $RPM_BUILD_ROOT%{_datadir}/applications/
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/*

%files modules
%defattr(-,root,root,-)
%doc ../%{name}-modules-%{version}/doc/*
%{_libdir}/%{name}/lib*.so

%files gnomevfs2
%defattr(-,root,root,-)
%{_libdir}/%{name}/libgvfs_plugin.so

%changelog
* Thu Feb 06 2014 pinoc <vogtpet at gmail.com> 0.6.70-2pclos2014
- updated Req and BR 
- add patch for gcc4.7 
- sync patches to Fedora to make it build on 32 as well as 64

* Sun Nov 15 2009 slick50 <lxgator@gmail.com>  0.6.70-1pclos2010
- new version 0.6.70

* Sat May 02 2009 pcserver <pcserver@hushmail.com> 0.6.36-1pclos2009 
- fix synaptic group

* Tue Aug 19 2008 don_crissti <don_crissti@gmx.com> 0.6.36-1pclos2007
- import tux commander

